Package org.eclipse.emf.cdo.spi.common.branch

## Interface InternalCDOBranchManager.BranchLoader2

- All Superinterfaces:
    `InternalCDOBranchManager.BranchLoader`
  All Known Subinterfaces:
    `CDOSessionProtocol`, `InternalCDOBranchManager.BranchLoader3`, `InternalCDOBranchManager.BranchLoader4`, `InternalFailoverParticipant`, `InternalRepository`, `InternalSynchronizableRepository`
  Enclosing interface:
    InternalCDOBranchManager

      public static interface InternalCDOBranchManager.BranchLoader2
      extends InternalCDOBranchManager.BranchLoader

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.3
  Author:
    Mathieu Velten

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `InternalCDOBranchManager.BranchLoader.BranchInfo, InternalCDOBranchManager.BranchLoader.SubBranchInfo`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `NEW_BRANCH, NEW_LOCAL_BRANCH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `deleteBranch​(int branchID)` | Deprecated. Not yet implemented.
    `void` | `renameBranch​(int branchID, java.lang.String newName)` | Deprecated. as of 4.4.

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `createBranch, loadBranch, loadBranches, loadSubBranches`

- - ### Method Detail

    - #### deleteBranch

          @Deprecated
          void deleteBranch​(int branchID)

      Deprecated.
      Not yet implemented.

    - #### renameBranch

          @Deprecated
          void renameBranch​(int branchID,
                            java.lang.String newName)

      Deprecated.
      as of 4.4. use `InternalCDOBranchManager.BranchLoader3.renameBranch(int, String, String)`.